#include <bits/stdc++.h>
using namespace std;
int main()
{
	int n,x;
	cin>>n>>x;
	int inp;
	int najlevlji=x;
	int najdesniji=x;
	for(int cc=0;cc<n;cc++)
	{
		cin>>inp;
		if(inp<najlevlji) najlevlji=inp;
		if(inp>najdesniji) najdesniji=inp;
	}
	if(x-najlevlji>=najdesniji-x)
	{
		cout<<(najdesniji-x)+(najdesniji-najlevlji)<<endl;
	}
	else
	{
		cout<<(x-najlevlji)+(najdesniji-najlevlji)<<endl;
	}
	return 0;
}